Skip to main content
POST
/
v1
/
voices
/
import
Import Voice
curl --request POST \
  --url https://api.oneinbox.ai/v1/voices/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider_voice_id": "<string>",
  "name": "<string>",
  "credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "gender": "<string>",
  "language": "<string>",
  "accent": "<string>"
}
'
{
  "id": "<string>",
  "provider": "<string>",
  "provider_voice_id": "<string>",
  "name": "<string>",
  "gender": "<string>",
  "language": "<string>",
  "accent": "<string>",
  "preview_url": "<string>",
  "credential_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Body

application/json
provider
enum<string>
required
Available options:
cartesia,
deepgram,
elevenlabs,
openai
provider_voice_id
string
required
Required string length: 1 - 255
name
string
required
Required string length: 1 - 255
credential_id
string<uuid>
required
gender
string | null
language
string | null
accent
string | null

Response

Successful Response

id
string
required
provider
string
required
provider_voice_id
string
required
name
string
required
gender
string | null
required
language
string | null
required
accent
string | null
required
preview_url
string | null
required
credential_id
string
required
created_at
string<date-time>
required